#ifndef FNT__XMPPD_MAIN_H
#define FNT__XMPPD_MAIN_H

/*** global variables defined in .c file *******************************/

extern fnt_sql_connect_t *data_connect;
extern fnt_sql_connect_t *config_connect;

/*** typedefs(not structures) and defined constants ********************/

/*** enums *************************************************************/

/*** structures declarations (and typedefs of structures)***************/

typedef struct xmppd_stuct
{
    /** our id */
    char *id;

    /** how we listen for stuff */
    char *listen_ip;
    int listen_port;

    /** time checks */
    int check_interval;
    int check_keepalive;
    time_t next_check;

    /** connect retry */
    int retry_init;
    int retry_lost;
    int retry_sleep;
    int retry_left;

} xmppd_t;

extern xmppd_t *xmppd_app;

/*** declarations of public functions **********************************/

/* pidfile.c : */
void pidfile_touch (void);
void pidfile_remove (void);


#endif
